Bug 865031 - Black screen when booting on iMac12,2 (27" 2011 model)
Black screen when booting on iMac12,2 (27" 2011 model)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F18Beta-accepted/F18BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-10-10 12:30 EDT by Andreas Tunek
Modified: 2012-11-11 08:09 EST (History)
3 users (show)

See Also:
Fixed In Version: F18 TC8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-11 08:09:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot (3.24 MB, image/jpeg)
2012-10-10 12:30 EDT, Andreas Tunek
no flags Details
Xorg log (46.76 KB, text/x-log)
2012-10-10 16:33 EDT, Andreas Tunek
no flags Details

  None (edit)
Description Andreas Tunek 2012-10-10 12:30:54 EDT
Created attachment 625002 [details]
Screen shot

Using Beta TC3.


When I boot I do not get anything on the screen. If I boot with nomodeset I come to the part of the screenshot.

This could be connected to bug 860551.

I am using an iMac12,2 (27" 2011 model).
Comment 1 Andreas Tunek 2012-10-10 12:33:15 EDT
Proposed NTH
Comment 2 Adam Williamson 2012-10-10 12:42:27 EDT
Can you please give us output of lspci -nn or Xorg.0.log from a working system (assuming you have some distro that works)? We need this to precisely identify the affected hardware. Thanks. Does any previous Fedora release work okay?
Comment 3 Andreas Tunek 2012-10-10 16:32:12 EDT
From F18 alpha>

[liveuser@localhost ~]$ lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation 2nd Generation Core Processor Family DRAM Controller [8086:0100] (rev 09)
00:01.0 PCI bridge [0604]: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port [8086:0101] (rev 09)
00:02.0 Display controller [0380]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0102] (rev 09)
00:16.0 Communication controller [0780]: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 [8086:1c3a] (rev 04)
00:1a.0 USB Controller [0c03]: Intel Corporation Device [8086:1c2c] (rev 05)
00:1a.7 USB Controller [0c03]: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 [8086:1c2d] (rev 05)
00:1b.0 Audio device [0403]: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller [8086:1c20] (rev 05)
00:1c.0 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 [8086:1c10] (rev b5)
00:1c.1 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 [8086:1c12] (rev b5)
00:1c.2 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 [8086:1c14] (rev b5)
00:1c.4 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 [8086:1c18] (rev b5)
00:1d.0 USB Controller [0c03]: Intel Corporation Device [8086:1c27] (rev 05)
00:1d.7 USB Controller [0c03]: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 [8086:1c26] (rev 05)
00:1f.0 ISA bridge [0601]: Intel Corporation Z68 Express Chipset Family LPC Controller [8086:1c44] (rev 05)
00:1f.2 SATA controller [0106]: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller [8086:1c02] (rev 05)
00:1f.3 SMBus [0c05]: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller [8086:1c22] (rev 05)
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Blackcomb [AMD Radeon HD 6900M Series] [1002:6720]
01:00.1 Audio device [0403]: ATI Technologies Inc Barts HDMI Audio [Radeon HD 6800 Series] [1002:aa88]
02:00.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme BCM57765 Gigabit Ethernet PCIe [14e4:16b4] (rev 10)
03:00.0 Network controller [0280]: Atheros Communications Inc. AR9300 Wireless LAN adaptor [168c:0030] (rev 01)
04:00.0 FireWire (IEEE 1394) [0c00]: Agere Systems FW643 PCI Express1394b Controller (PHY/Link) [11c1:5901] (rev 08)
Comment 4 Andreas Tunek 2012-10-10 16:33:25 EDT
Created attachment 625150 [details]
Xorg log
Comment 5 Adam Williamson 2012-10-10 20:34:51 EDT
Andreas: to be clear, does that mean that it works in Alpha? It broke between Alpha and Beta TC3?
Comment 6 Andreas Tunek 2012-10-11 12:24:38 EDT
Yes, I tested F18 Alpha RC3.
Comment 7 Andreas Tunek 2012-10-11 12:25:10 EDT
And used that to get the lscpi etc.
Comment 8 Adam Williamson 2012-10-11 14:35:27 EDT
so, it'd be nice to get more data out of the 'hung' state. I think if you install with 'sshd' as a kernel parameter you should get sshd installed and enabled, then you can try ssh'ing into the system - if it's really 'hung' this won't work, but if it's working but the graphics output is not working, it may work. could you try that? or any other way to try and get inside a system in the 'hung' state and look at the kernel and X logs? thanks!
Comment 9 Adam Williamson 2012-10-11 14:37:23 EDT
Discussed at 2012-10-11 NTH review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-11/f18beta-blocker-review-3.1.2012-10-11-16.04.log.txt . Accepted as NTH - in general, graphics showstoppers like this are accepted as NTH by default, it is always worthwhile taking tested fixes for a complete failure to render on a given bit of hardware.
Comment 10 Andreas Tunek 2012-10-14 08:42:05 EDT
I tried booting from usb with sshd as a kernel parameter, but I could not connect to the machine.
Comment 11 Adam Williamson 2012-10-15 19:11:23 EDT
if you can't get any logs out, I'm not sure the devs will be able to do anything without access to an identical bit of hardware :/ not sure if that would be possible.

any possibility of serial console, perhaps? oh, macs don't usually have serial ports these days, do they...
Comment 12 Andreas Tunek 2012-10-22 11:47:09 EDT
Still happens on TC6....
Comment 13 Jérôme Glisse 2012-10-24 13:39:36 EDT
Most likely a kernel regression in 3.6. Would be very very helpfull if you could bisect. 3.6rc2 works per your report.
Comment 14 Andreas Tunek 2012-10-27 15:13:52 EDT
http://lists.fedoraproject.org/pipermail/devel/2012-September/171962.html

There was a problem with bootable live images, so unfortunately I cannot bisect (unless someone wants to create old live images)....
Comment 15 Andreas Tunek 2012-10-27 15:15:59 EDT
and here is more info:
http://lists.fedoraproject.org/pipermail/devel/2012-October/172005.html
Comment 16 Andreas Tunek 2012-11-04 05:27:03 EST
Still happens in TC7.
Comment 17 Andreas Tunek 2012-11-11 08:09:32 EST
Fixed in TC8.

Note You need to log in before you can comment on or make changes to this bug.